(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     59935,       1480]
NotebookOptionsPosition[     42963,       1270]
NotebookOutlinePosition[     43513,       1289]
CellTagsIndexPosition[     43470,       1286]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["MathCode setup test, v4 (2018-02-22)", "Title",
 CellChangeTimes->{{3.4746954908109636`*^9, 3.4746955018738885`*^9}, {
  3.491069232389038*^9, 3.4910692405542803`*^9}, {3.728389219661722*^9, 
  3.728389227000437*^9}},ExpressionUUID->"10dc1c19-1315-4b2c-97f6-\
fb99c7d22901"],

Cell[TextData[{
 "\n",
 StyleBox["Always start MathCode  from Start Menu.",
  FontWeight->"Bold"],
 "\nThis Mathematica notebook tests the contents of Licensing directory and \
your MathCode setup in order to detect configuration errors. These errors \
occur if something unusual happens with your installation of your operating \
system, Mathematica, C++ or F90 compiler(s), MathCode or other software. \
Please read Release Notes, they explain most of these issues. \nPlease \
execute whole notebook, ",
 StyleBox["SAVE",
  FontWeight->"Bold"],
 " this notebook and send ",
 StyleBox["as attachment",
  FontWeight->"Bold"],
 " to mathcode@wolfram.com.\nDo not cut-and-paste the text in this notebook \
into your e-mail text.\nIf you are ",
 StyleBox["concerned about privacy",
  FontWeight->"Bold"],
 " of information contained here you can remove any cells you do not like; \
you can also convert the notebook into a PDF file. \nWe use this notebook ",
 StyleBox["only",
  FontWeight->"Bold"],
 " to detect configuration errors in your installation of MathCode.  \n\
Version 4 adjusted for Windows 64. \n(C) 2010-2018, MathCore Engineering AB, \
Wolfram|MathCore AB"
}], "Text",
 CellChangeTimes->{{3.4746954853888807`*^9, 3.4746954875295877`*^9}, {
   3.474695845979179*^9, 3.474695846447941*^9}, {3.5084819020730925`*^9, 
   3.5084819024480877`*^9}, 3.5086787356116657`*^9, {3.728389425651094*^9, 
   3.7283894529472566`*^9}, {3.728389503119314*^9, 
   3.728389549415843*^9}},ExpressionUUID->"5c8e647e-7c57-4848-bf1d-\
2548ac8a0731"],

Cell[CellGroupData[{

Cell["Before you start", "Subtitle",ExpressionUUID->"8b3adcdb-a4af-4231-9800-fe99edccb9cf"],

Cell[TextData[{
 StyleBox["Always start MathCode from Start Menu.",
  FontWeight->"Bold"],
 "\nFor MathCode C++ users:\nIn this version CygWin is not supported. \
Probably you have various MicroSoft Visual C++ releases. For each release you \
should reinstall MathCode.\n"
}], "Text",
 CellChangeTimes->{{3.474695882323859*^9, 3.4746959078557625`*^9}, {
  3.728389603057502*^9, 
  3.7283896767438045`*^9}},ExpressionUUID->"5b0a0249-a50e-4053-b0a4-\
a4f09296109e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FileInfo", "[", "f_", "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{"f", ",", 
      RowBox[{"DateString", "[", 
       RowBox[{"FileDate", "[", "f", "]"}], "]"}], ",", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"DirectoryQ", "[", "f", "]"}], ",", "\"\<<DIR>\>\"", ",", 
        RowBox[{"FileByteCount", "[", "f", "]"}]}], "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.7283920945691004`*^9, 3.7283921795208306`*^9}, {
  3.728392257926008*^9, 3.728392277107579*^9}, {3.7283923333886237`*^9, 
  3.7283923495719643`*^9}, {3.728392384687858*^9, 3.728392409303089*^9}, {
  3.7283924585834923`*^9, 
  3.728392465556557*^9}},ExpressionUUID->"0dd85a96-b2e1-4f68-9000-\
8a9067e23044"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check version and license", "Subtitle",ExpressionUUID->"6df45293-03e9-4b56-9a12-d3c4fb2c3ed7"],

Cell[TextData[StyleBox["Always start MathCode from Start Menu.",
 FontWeight->"Bold"]], "Text",ExpressionUUID->"462f8883-e775-43dd-9a3d-\
0c6ee85b57ae"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MathCode`\>\"", "]"}]], "Input",ExpressionUUID->"2f323f33-cae4-42d0-9bc9-12483435f765"],

Cell[TextData[{
 "Should normally tell ",
 StyleBox["MathCode (version) loaded.",
  FontWeight->"Bold"],
 " If it does (produce any errors) not then MathCode.m is missing in \
Mathematicas path. See  \
ToFileName[{$TopDirectory,\"AddOns\",\"Applications\"},\"MathCode.m\"] below. \
May be several Mathematica  installations on the same computer. MathCode \
Version number should be the same  as in setup executable.\n    "
}], "Text",
 CellChangeTimes->{3.49096108645632*^9, 
  3.491101715760006*^9},ExpressionUUID->"f63bbf2e-d79f-4031-a67e-\
f8b36fd8c27c"],

Cell[BoxData["$MCKey"], "Input",ExpressionUUID->"ef05696a-c2d8-42e1-886f-ea4e596a7f13"],

Cell["\<\
Tells user name specified during installation. It does not affect execution.  \
  \
\>", "Text",ExpressionUUID->"2b5303bb-74a4-4a1e-92a5-9ee2540a7edb"],

Cell[BoxData["$MCKeyData"], "Input",ExpressionUUID->"e723dc88-c0dd-447a-b50a-a6fa563841b3"],

Cell["\<\
Tells organization name specified during installation. It does not affect \
execution.    \
\>", "Text",ExpressionUUID->"eadb248e-7733-4c05-a006-5b9bdb163aca"],

Cell[BoxData[
 RowBox[{"$MCLicenseID", "//", "FullForm"}]], "Input",
 CellChangeTimes->{
  3.491069456181282*^9},ExpressionUUID->"8330eac8-ed98-4e6e-b02f-\
b6bfddd01951"],

Cell["\<\
Tells license ID  specified during installation. It is compared with data \
encoded in license key delivered from MathCore by e-mail. \
\>", "Text",ExpressionUUID->"59763bee-5969-49f3-ae2f-9a6c3b754e31"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"StringPosition", "[", 
     RowBox[{"$MCLicenseID", ",", "\"\<O\>\""}], "]"}], "\[NotEqual]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"Print", "[", "\"\<Bad license, letter O is present\>\"", "]"}]}], 
  "]"}]], "Input",ExpressionUUID->"21810b2c-8189-4727-bdf2-44677b7e448f"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"StringMatchQ", "[", 
    RowBox[{"$MCLicenseID", ",", 
     RowBox[{
     "RegularExpression", "[", 
      "\"\<MC0\\\\d\\\\d\\\\d\\-\\\\d\\\\d\\\\d\\\\d\>\"", "]"}]}], "]"}], 
   ",", "Null", ",", 
   RowBox[{
   "Print", "[", "\"\<Bad license, does not match the pattern\>\"", "]"}]}], 
  "]"}]], "Input",ExpressionUUID->"1c66a92c-0d08-45cd-88ad-6d55e5629b87"],

Cell[BoxData[
 RowBox[{"$F90License", "=", 
  RowBox[{
   RowBox[{"StringTake", "[", 
    RowBox[{"$MCLicenseID", ",", 
     RowBox[{"{", "6", "}"}]}], "]"}], "\[Equal]", "\"\<1\>\""}]}]], "Input",
 CellChangeTimes->{{3.491101805367508*^9, 
  3.49110181569*^9}},ExpressionUUID->"db9b50a5-1b59-43eb-ab17-94fe76dfae5e"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"$F90License", " ", "\[Equal]", " ", 
    RowBox[{"(", 
     RowBox[{
     "MathCode`$MathCodeDefaultLanguage", " ", "==", " ", 
      "\"\<Fortran90\>\""}], ")"}]}], ",", 
   RowBox[{"Print", "[", "\"\<OK\>\"", "]"}], ",", 
   RowBox[{"Print", "[", "\"\<Wrong target language\>\"", "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.491101805367508*^9, 3.491101820604538*^9}, {
   3.491101880132111*^9, 3.491101913195902*^9}, 
   3.5086780065162897`*^9},ExpressionUUID->"11cccc8a-034c-49bc-a103-\
7cc449f7ecda"],

Cell["\<\
Whether this license is good for F90, and if this fact matches the license \
number. If not, you registered wrong variant of MathCode.\
\>", "Text",
 CellChangeTimes->{{3.491101805367508*^9, 3.491101812064458*^9}, {
  3.4911018536975517`*^9, 
  3.491101865176424*^9}},ExpressionUUID->"85ec6819-edf0-4666-9873-\
6c11fea22382"],

Cell[BoxData[
 RowBox[{"$MachineID", "//", "FullForm"}]], "Input",ExpressionUUID->"a44eadee-09f2-494e-a18b-8601d64a2df2"],

Cell["\<\
Tells license Machine  ID  of actual computer. It is compared  with data \
encoded in  license key delivered from MathCore by e-mail. \
\>", "Text",ExpressionUUID->"68ce4ff6-0017-4055-8b8e-a40785cabd8e"],

Cell[BoxData[
 RowBox[{"$MathCodeReleaseNumber", "//", "FullForm"}]], "Input",ExpressionUUID->"758bd8a2-74d9-42b8-9a88-06bb4055ff45"],

Cell["\<\
Tells the internal release number which MathCore increments with each new \
release.  \
\>", "Text",ExpressionUUID->"285ae882-4bdf-44f8-814c-8e24a16c74ed"],

Cell[BoxData[
 RowBox[{"$MathCodeVersionNumber", "//", "FullForm"}]], "Input",ExpressionUUID->"59e4057e-9a73-4676-80e2-13e8f264bf86"],

Cell["\<\
Tells the internal version  number which MathCore increments with each new \
version.  \
\>", "Text",ExpressionUUID->"426bf82d-1fbf-49dc-b8ef-e676326eea58"],

Cell[BoxData["$Version"], "Input",ExpressionUUID->"f20b7f87-e96a-4dd9-9f93-ae7285b60b27"],

Cell[TextData[{
 "Tells the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "  version  number.  "
}], "Text",
 CellChangeTimes->{
  3.491100918133009*^9},ExpressionUUID->"6b88401c-7e9c-4f9b-9846-\
3faabb863a0b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.7283893667807894`*^9},ExpressionUUID->"500f0a85-5b0c-451b-b3c1-\
1fe91dc6b5f9"],

Cell[BoxData["$SystemID"], "Input",ExpressionUUID->"8171b7e1-0e29-4a46-a09b-8e6d6444c4ee"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7283893691346207`*^9, 
  3.7283893691658564`*^9}},ExpressionUUID->"3a36cd27-7ec1-42ca-a888-\
b3bc1a0aadca"],

Cell[BoxData[
 RowBox[{"$MCWindows", "=", 
  RowBox[{"$SystemID", "\[Equal]", "\"\<Windows-x86-64\>\""}]}]], "Input",
 CellChangeTimes->{{3.491101025524544*^9, 3.491101075959792*^9}, 
   3.49110173950413*^9, {3.728389355389305*^9, 
   3.7283893615689836`*^9}},ExpressionUUID->"fa134234-4d84-4691-abbe-\
3b9deb475923"],

Cell["Tells whether we assume Windows machine during this test.  ", "Text",
 CellChangeTimes->{
  3.491100918133009*^9, {3.491101939735282*^9, 
   3.491101957123822*^9}},ExpressionUUID->"4bf96e10-8ffe-4190-adb7-\
35d49ae5d8bf"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{
  3.491101925892899*^9},ExpressionUUID->"eb126a56-0c47-496c-902a-\
1e22b080ecaa"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check where things are installed ", "Subtitle",ExpressionUUID->"3abab871-4161-4cbb-9e26-abb00f4ba55c"],

Cell[BoxData[
 RowBox[{"Directory", "[", "]"}]], "Input",ExpressionUUID->"e89d13a4-1715-487e-8964-a042aff55974"],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"If", "[", 
   RowBox[{"$MCWindows", ",", "\"\<C:\\\\\>\"", ",", "\"\</usr/local\>\""}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4909612290202007`*^9, 3.4909612539629507`*^9}, {
  3.491101143042297*^9, 3.4911011807252693`*^9}, {3.491101218712884*^9, 
  3.491101235476783*^9}},ExpressionUUID->"c91c1b2a-6904-4ecc-ba52-\
29208cf9e6ec"],

Cell["\<\
Check what is installed in Program Files (makes sense on Windows only)\
\>", "Text",
 CellChangeTimes->{{3.491069554897461*^9, 3.491069605795867*^9}, {
  3.491101255060793*^9, 
  3.49110126295695*^9}},ExpressionUUID->"d7ba5165-7f2e-4453-98a3-\
bebb45d99a72"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"FileInfo", "[", "#", "]"}], "&"}], ",", 
    RowBox[{"FileNames", "[", "\"\<Pro*\>\"", "]"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellChangeTimes->{{3.728392016780615*^9, 3.728392033748372*^9}, 
   3.7283921934927883`*^9, {3.7283924189123573`*^9, 
   3.728392424774124*^9}},ExpressionUUID->"d33411ef-4b8f-4022-9d55-\
c9853bf1044d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Length", "[", "%", "]"}], "\[Equal]", "1"}]], "Input",ExpressionUUI\
D->"019c4940-659e-4e9f-a2f4-48ca1a7c0640"],

Cell["\<\
If it is false (on some Asian or French) Windows computers Progra~1 may point \
to different place. Reinstall Mathcode outside Progra* directories.  \
\>", "Text",
 CellChangeTimes->{{3.491069621446725*^9, 
  3.491069623051629*^9}},ExpressionUUID->"fc79d812-521c-4c96-b572-\
82466566e7f5"],

Cell[BoxData[
 RowBox[{"FileInfo", "[", "\"\<Progra~1\>\"", "]"}]], "Input",
 CellChangeTimes->{
  3.728392442376913*^9},ExpressionUUID->"d53d2873-d6aa-4fa8-8b7a-\
98bf02802268"],

Cell["\<\
Check Mathematica installation
\
\>", "Text",
 CellChangeTimes->{{3.491101277053935*^9, 
  3.4911012845868*^9}},ExpressionUUID->"6c251cc8-ca0e-420e-bf1e-8f044398b6b1"],

Cell[BoxData["$TopDirectory"], "Input",ExpressionUUID->"97f84e84-ab0b-4d1c-8cde-2b8ce5b16209"],

Cell[BoxData["$HomeDirectory"], "Input",
 CellChangeTimes->{{3.491101369975252*^9, 
  3.4911013784154243`*^9}},ExpressionUUID->"2a4b138e-8549-45a8-b19e-\
53badb3f5182"],

Cell[BoxData[
 RowBox[{"x", "=", 
  RowBox[{"ToFileName", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{"$MCWindows", ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "$TopDirectory", ",", "\"\<AddOns\>\"", ",", "\"\<Applications\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "$HomeDirectory", ",", "\"\<.Mathematica\>\"", ",", 
        "\"\<Applications\>\""}], "}"}]}], "\[IndentingNewLine]", " ", "]"}], 
    ",", "\"\<MathCode.m\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.49110141124123*^9, 
  3.491101508460436*^9}},ExpressionUUID->"783c7322-173e-4ef3-be96-\
982b00b5d2c3"],

Cell[BoxData[
 RowBox[{"FileInfo", "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.7283924916382256`*^9, 
  3.7283924931004424`*^9}},ExpressionUUID->"64dcddb5-709f-4108-b77b-\
dfbcbd72450a"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{
   "Print", "[", 
    "\"\<Probably Mathcode was installed in a different place, or \
uninstalled, or not installec at all\>\"", "]"}]}], "]"}]], "Input",Expression\
UUID->"bd92027b-28d4-4dad-b60e-a68ad47ec313"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"x", ",", "\"\<Text\>\""}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.49110153208922*^9},ExpressionUUID->"4ce7dca2-570b-4697-a4ae-949c663bf0d1"],

Cell["\<\
The values in this file should point to existing directories. This file makes \
possible to write Needs[\"MathCode`\"]. The details are checked later on.
    \
\>", "Text",
 CellChangeTimes->{{3.49110198660417*^9, 
  3.491102007955118*^9}},ExpressionUUID->"5dffb207-47df-4da5-ac4c-\
9d2893485c10"],

Cell[BoxData["$MCRoot"], "Input",
 CellChangeTimes->{{3.4911015445681334`*^9, 
  3.4911015493631887`*^9}},ExpressionUUID->"38a3f9d0-5125-4872-bc93-\
72d3afcafb51"],

Cell[BoxData["MathCode`$MCRoot"], "Input",ExpressionUUID->"7ba0558f-6416-48cd-8517-4671469a577e"],

Cell[BoxData["MathCode`$MathCodeShortPath"], "Input",ExpressionUUID->"560f7307-6088-4e83-88b0-048acab1beda"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"%%", "\[NotEqual]", "%"}], ")"}], "||", 
     RowBox[{"(", 
      RowBox[{"%%%", "\[NotEqual]", "%"}], ")"}]}], ",", " ", 
    RowBox[{
    "Print", "[", 
     "\"\<MathCode context is not established, or MathCode is not correctly \
loaded.\>\"", "]"}]}], "]"}], "\[IndentingNewLine]"}]], "Input",ExpressionUUID\
->"fc07bb4b-6c14-4f69-a1db-77cdb1299666"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check licensing cache", "Subtitle",ExpressionUUID->"f2c74486-b72f-414c-932d-c7434ec5d55e"],

Cell[BoxData[
 RowBox[{"ToFileName", "[", 
  RowBox[{"{", 
   RowBox[{"MathCode`$MCRoot", ",", "\"\<Licensing\>\""}], "}"}], 
  "]"}]], "Input",ExpressionUUID->"df024ece-2853-492a-96ba-a4c2b5bec3c3"],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", "$MCRoot", "]"}]], "Input",ExpressionUUID->"6d001936-3d5c-4277-8791-7f3414364930"],

Cell[BoxData[
 RowBox[{"FileNames", "[", "]"}]], "Input",ExpressionUUID->"83ddc7cb-0c48-44fe-938e-68a5c1acf56a"],

Cell[TextData[{
 "\nIf installation is correct, ",
 StyleBox["mathcode.lic",
  FontWeight->"Bold"],
 " must be here. Any ",
 StyleBox["*.mh",
  FontWeight->"Bold"],
 " files should not be here."
}], "Text",
 CellChangeTimes->{{3.4911020349476213`*^9, 
  3.4911020353236227`*^9}},ExpressionUUID->"8aa521be-d043-4e3a-8cb0-\
591968b9b413"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Import", "[", 
    RowBox[{"\"\<MathCode.lic\>\"", ",", "\"\<List\>\""}], "]"}], "//", 
   "FullForm"}]}]], "Input",ExpressionUUID->"b05ed3b9-7934-4fba-a132-\
157d7c132307"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FileInfo", "[", "#", "]"}], "&"}], ",", 
     RowBox[{"FileNames", "[", "]"}]}], "]"}], "//", "TableForm", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.491069845542081*^9, 3.4910698554185*^9}, {
  3.7283915295695086`*^9, 3.728391547377076*^9}, {3.728391581528741*^9, 
  3.7283915922237267`*^9}, {3.72839251699724*^9, 
  3.728392525062552*^9}},ExpressionUUID->"59fd4055-758c-49af-b8da-\
be9765b788a1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"MathCode`$MCRoot", ",", "\"\<Licensing\>\""}], "}"}], "]"}], 
   "]"}], "//", "FullForm"}]], "Input",ExpressionUUID->"47db5779-3d18-4b84-\
9b9d-f853594f10ca"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Directory", "[", "]"}], "//", "FullForm"}]], "Input",ExpressionUUID\
->"39f9926f-82b7-4587-8583-a04dc9c177f1"],

Cell[BoxData[
 RowBox[{"If", " ", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Directory", "[", "]"}], "!=", 
    RowBox[{"ToFileName", "[", 
     RowBox[{
      RowBox[{"{", "MathCode`$MCRoot", "}"}], ",", "\"\<Licensing\>\""}], 
     "]"}]}], ",", 
   RowBox[{
   "Print", "[", 
    "\"\<The Licensing directory has not been created. MathCode has been \
installed without license key specified. See instructions how to put license \
key in this directory in an e-mail containing the license key\>\"", "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5086780891084538`*^9, 
  3.5086780928740067`*^9}},ExpressionUUID->"38c667a6-1e7e-44f9-b796-\
16a0a75a6b11"],

Cell[BoxData[
 RowBox[{"FileNames", "[", "]"}]], "Input",ExpressionUUID->"786714e7-302a-4e7b-83fa-f4246bcf5a94"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FileInfo", "[", "#", "]"}], "&"}], ",", 
     RowBox[{"FileNames", "[", "]"}]}], "]"}], "//", "TableForm"}]}]], "Input",\

 CellChangeTimes->{{3.728391467148945*^9, 3.728391476217739*^9}, {
  3.7283916244788585`*^9, 3.7283916280724897`*^9}, {3.7283925373555665`*^9, 
  3.728392547058776*^9}},ExpressionUUID->"ffe49ef1-7686-4acd-9a3a-\
60208cbf1237"],

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"FullForm", "[", 
      RowBox[{"Import", "[", 
       RowBox[{"#1", ",", "\"\<Text\>\""}], "]"}], "]"}], ")"}], "&"}], ",", 
   RowBox[{"FileNames", "[", "]"}]}], "]"}]], "Input",ExpressionUUID->\
"ba791baa-56a6-4784-a4c8-39deb9c5b333"],

Cell[TextData[{
 "The key file usually named like ",
 StyleBox["234.mkey ",
  FontWeight->"Bold"],
 "or",
 " ",
 StyleBox["234.key",
  FontWeight->"Bold"],
 " should contain at least ",
 StyleBox["256",
  FontWeight->"Bold"],
 " bytes and no newlines in the middle. If not then it was wronlgy copied \
from e-mail attachment to this place. A message will be produced when you \
attempt to compile.\n       The index.m  should look like ",
 StyleBox["\"{\\\"6139-68937-93139\\\" -> \\\"234.key\\\"}\\n\"",
  FontWeight->"Bold"],
 ". If not, then ",
 StyleBox["$MachineID",
  FontWeight->"Bold"],
 " or  ",
 StyleBox["$MCLicenseID",
  FontWeight->"Bold"],
 " were wrong somewhere above. \n    "
}], "Text",
 CellChangeTimes->{{3.491069958485705*^9, 
  3.491069965134694*^9}},ExpressionUUID->"eb3aecbb-e244-4d4f-a40d-\
bace1c32fe02"],

Cell[BoxData[
 RowBox[{"useKeyFile", "=", 
  RowBox[{
   RowBox[{"FileNames", "[", "\"\<*.*key\>\"", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.491069948778255*^9},ExpressionUUID->"1f80497a-fe40-4bde-8b92-\
5e7deeefb8e5"],

Cell["\<\
This should be the file you got from e - mail. Normally it is just one file. \
Any other  license key files should be better removed (except of shared \
installation case)
\
\>", "Text",
 CellChangeTimes->{{3.4911021355658283`*^9, 
  3.49110219440415*^9}},ExpressionUUID->"83ae939d-f6fe-4ead-a38a-\
7fb98eab8a75"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check character codes ", "Subtitle",ExpressionUUID->"48b28bf8-50d9-457f-b03c-6af58e2ca4cf"],

Cell["These tests return True on windows development computers. ", "Text",ExpressionUUID->"2ba45a12-be7d-4fb2-9c3b-22f8ebe65bb9"],

Cell[BoxData[
 StyleBox["$CharacterEncoding", "MR"]], "Input",ExpressionUUID->"8b2d0c03-88dd-4279-a6e9-2b3e4b61a8ea"],

Cell[BoxData[
 StyleBox["$SystemCharacterEncoding", "MR"]], "Input",ExpressionUUID->"bd70466c-c88f-4ad4-9b82-fcb9161d9c6e"],

Cell[BoxData[
 RowBox[{
  StyleBox["$CharacterEncoding", "MR"], 
  StyleBox["==", "MR"], "\"\<WindowsANSI\>\""}]], "Input",ExpressionUUID->\
"4c171caf-76b0-49fc-9220-1432cca374be"],

Cell[BoxData[
 RowBox[{
  StyleBox["$SystemCharacterEncoding", "MR"], 
  StyleBox["==", "MR"], "\"\<WindowsANSI\>\""}]], "Input",ExpressionUUID->\
"51b13a36-968e-4898-996e-3ba4e9d58544"],

Cell[BoxData[
 RowBox[{"esca", "=", 
  "\"\<\\q\\w\\e(\\r)(\\t)\\y\\u\\i\\o\\p\\a\\s\\d(\\f)\\g\\h\\j\\k\\l\\z\\x\\\
c\\v(\\b)\\n\\m\\Q\n\\W\\E\\R\\T\\Y\\U\\I\\O\\P\\A\\S\\D\\F\\G\\H\\J\\K\\L\\Z\
\\X\\C\\V\\B\\N\\M\>\""}]], "Input",
 EmphasizeSyntaxErrors->
  True,ExpressionUUID->"bdf97038-f868-4cc3-a8bf-0607f964ec7d"],

Cell[BoxData[
 RowBox[{"esca", "==", 
  "\"\<\\\\q\\\\w\\\\e(\\r)(\\t)\\\\y\\\\u\\\\i\\\\o\\\\p\\\\a\\\\s\\\\d(\\f)\
\\\\g\\\\h\\\\j\\\\k\\\\l\\\\z\\\\x\\\\c\\\\v(\.08)\\n\\\\m\\\\Q \\\\W\\\\E\\\
\\R\\\\T\\\\Y\\\\U\\\\I\\\\O\\\\P\\\\A\\\\S\\\\D\\\\F\\\\G\\\\H\\\\J\\\\K\\\\\
L\\\\Z\\\\X\\\\C\\\\V\\\\B\\\\N\\\\M\>\""}]], "Input",ExpressionUUID->\
"486c9a74-89ae-4601-ae7f-82e3273e8397"],

Cell[BoxData["\[IndentingNewLine]"], "Input",ExpressionUUID->"59c32735-93e3-46af-96bf-7f8a68e791ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check MathLink", "Subtitle",ExpressionUUID->"73ea7b54-3ee6-40a3-a814-0a8f788160e9"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"StringPosition", "[", 
       RowBox[{"$SystemID", ",", "\"\<Windows\>\""}], "]"}], "=!=", 
      RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"addTwoStr", "=", 
      RowBox[{
      "MathCode`$DevelopersKitsDirectoryFullPath", "<>", 
       "\"\<\\\\..\\\\PrebuiltExamples\\\\addtwo.exe\>\""}]}], ",", 
     RowBox[{"addTwoStr", "=", 
      RowBox[{
      "MathCode`$DevelopersKitsDirectoryFullPath", "<>", 
       "\"\</../PrebuiltExamples/addtwo\>\""}]}]}], "]"}], ";"}]}]], "Input",E\
xpressionUUID->"2943d046-87d8-4ad0-b212-fe90d2257111"],

Cell["Missing file is evidence of non-standard paths to MathLink", "Text",ExpressionUUID->"f7826eae-f6a8-48e0-a595-a5c6809af0ac"],

Cell[BoxData[
 RowBox[{"FileInfo", "[", "addTwoStr", "]"}]], "Input",
 CellChangeTimes->{
  3.7283925644063487`*^9},ExpressionUUID->"24ca5228-2592-492f-ab37-\
27dbc0fe5dcb"],

Cell["\<\
Failure to install this mathlink is evidence of firewall preventing process \
communication\
\>", "Text",ExpressionUUID->"0769c404-f805-4d59-bca6-5889d219923b"],

Cell[BoxData[
 RowBox[{"linkAddTwo", "=", 
  RowBox[{"Install", "[", "addTwoStr", "]"}]}]], "Input",ExpressionUUID->\
"888ca507-5b3c-4adf-a8b7-b5fa65c89ae9"],

Cell[BoxData[
 RowBox[{"AddTwo", "[", 
  RowBox[{"2", ",", "3"}], "]"}]], "Input",ExpressionUUID->"cada9ffa-d76b-\
4b2d-80d6-e2414aa66431"],

Cell[BoxData[
 RowBox[{"Uninstall", "[", "linkAddTwo", "]"}]], "Input",ExpressionUUID->"ec9523a3-bb7a-4dd8-87e6-1aae0534f7ee"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check code generator", "Subtitle",ExpressionUUID->"e34797b6-4904-407a-8cd0-efc5fb7af870"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tmplink", "=", 
   RowBox[{"Install", "[", 
    RowBox[{"$MCRoot", "<>", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"StringPosition", "[", 
         RowBox[{"$SystemID", ",", "\"\<Windows\>\""}], "]"}], "=!=", 
        RowBox[{"{", "}"}]}], ",", "\"\<\\\\System\\\\om.exe\>\"", ",", 
       "\"\</System/om\>\""}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",ExpressionUUID->"74585cdf-2be8-49ab-9af8-\
58e66f896e4c"],

Cell[BoxData[
 RowBox[{"LinkPatterns", "[", "tmplink", "]"}]], "Input",ExpressionUUID->"90dbc3df-d19f-42f6-a55f-62bc56c9f19d"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Length", "[", 
      RowBox[{"LinkPatterns", "[", "tmplink", "]"}], "]"}], "\[Equal]", "9"}],
     ",", "OK", ",", 
    RowBox[{"Print", "[", "\"\<Missing patterns in OM.EXE\>\"", "]"}]}], 
   "]"}]}]], "Input",ExpressionUUID->"b3774691-b689-4408-a177-2d85e025c0d8"],

Cell[BoxData[
 RowBox[{"exid", "=", 
  RowBox[{"extractid", "[", 
   RowBox[{"ToFileName", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"MathCode`$MCRoot", ",", "\"\<Licensing\>\""}], "}"}], ",", 
     "useKeyFile"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.491102315981938*^9, 
  3.491102318299652*^9}},ExpressionUUID->"7430f7e8-947c-46e6-b378-\
b529bb98a262"],

Cell[BoxData[
 RowBox[{
  RowBox[{"exid", " ", "\[Equal]", " ", "$MachineID"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.491102322437832*^9, 
  3.491102336151267*^9}},ExpressionUUID->"bf9df3e2-7422-452f-b8cf-\
3fead48e65f8"],

Cell[TextData[{
 "If ",
 StyleBox["False",
  FontWeight->"Bold"],
 " - you have wrong license key file.\n   "
}], "Text",
 CellChangeTimes->{{3.4911023385452538`*^9, 
  3.4911023772939367`*^9}},ExpressionUUID->"3b6b924f-5577-4b7d-8be4-\
c48f65be1686"],

Cell[BoxData[
 RowBox[{"licverify", "[", 
  RowBox[{"ToFileName", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"MathCode`$MCRoot", ",", "\"\<Licensing\>\""}], "}"}], ",", 
    "useKeyFile"}], "]"}], "]"}]], "Input",ExpressionUUID->"bae5fe1a-fe53-\
4487-bbc0-faa013e4588d"],

Cell[TextData[{
 "If not ",
 StyleBox["1",
  FontWeight->"Bold"],
 " your license expired"
}], "Text",
 CellChangeTimes->{{3.491102384460705*^9, 
  3.491102394940404*^9}},ExpressionUUID->"57598665-2566-4f37-9b14-\
62dab5fc3373"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"$DemosDir", "=", 
   RowBox[{"If", "[", 
    RowBox[{"$F90License", ",", "\"\<DemosF90\>\"", ",", "\"\<Demos\>\""}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4910700833108873`*^9, 
  3.491070162928008*^9}},ExpressionUUID->"f93961aa-47ea-4ee8-a338-\
1a004311b8c3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{
   "$MCRoot", "<>", "\"\</\>\"", "<>", "$DemosDir", "<>", 
    "\"\</SimplestExample\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.491070167343381*^9, 
  3.491070192705284*^9}},ExpressionUUID->"731c3a29-88c0-492c-bf61-\
3660e326d104"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Directory", "[", "]"}]}]], "Input",ExpressionUUID->"86ae34e8-de52-\
4b18-819b-632c28d73f3a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<G.mci\>\"", ",", "\"\<model Global;  packages \\\"MathCode`\\\";\>\"",
     ",", "\"\<Text\>\""}], "]"}], "\n"}]], "Input",ExpressionUUID->"0215efe6-\
1ce3-4206-b586-25d9ce7f0b17"],

Cell["\<\

This must end with dead connection. Don't care.\
\>", "Text",
 CellChangeTimes->{{3.491102472055397*^9, 
  3.4911024836830997`*^9}},ExpressionUUID->"222202ab-d37d-400b-bb4b-\
86b3122ea81a"],

Cell[BoxData[
 RowBox[{"CompileInternal", "[", 
  RowBox[{"\"\<G.mci\>\"", ",", "\"\<G.mm\>\"", ",", "\"\<G.er\>\"", ",", 
   RowBox[{"If", "[", 
    RowBox[{
    "$F90License", ",", "\"\<-l Fortran90\>\"", ",", "\"\<-l C++\>\""}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.491070229177425*^9, 3.4910702575961437`*^9}, 
   3.491070344163948*^9},ExpressionUUID->"971e685d-60bd-47ca-912c-\
c85a71dc1a46"],

Cell[BoxData[
 RowBox[{"Uninstall", "[", "tmplink", "]"}]], "Input",ExpressionUUID->"c9ba1993-92b5-406b-a16c-66f7b57c9db1"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.4910703867619123`*^9, 3.4910704300290813`*^9}, 
   3.491070484980933*^9},ExpressionUUID->"9f351475-c711-4802-9c29-\
b1c69e739df8"],

Cell[BoxData["\[IndentingNewLine]"], "Input",ExpressionUUID->"b32761c5-4559-4077-996b-3c6477e203cd"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Windows language version", "Subtitle",ExpressionUUID->"d35f3ef0-7e16-45f9-8688-2f1a74af96ee"],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"$MCRoot", "<>", "\"\</Demos\>\""}], "]"}]], "Input",ExpressionUUID-\
>"905273b8-99aa-40c6-b0f4-fc5082916f99"],

Cell[BoxData[
 RowBox[{"Run", "[", "\"\<ver > x.txt\>\"", "]"}]], "Input",
 CellChangeTimes->{
  3.728390795179802*^9},ExpressionUUID->"06f2fc22-3b35-4752-acf7-\
fe528228a488"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"\"\<x.txt\>\"", ",", "\"\<Text\>\""}], "]"}], "//", 
  "FullForm"}]], "Input",ExpressionUUID->"6c300c8b-516a-4e9a-9e31-\
1f583b1bf41d"],

Cell[BoxData[
 RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}]], "Input",
 CellChangeTimes->{
  3.7283908017602654`*^9},ExpressionUUID->"e26e91b1-ea34-4240-970a-\
3048b31dbca6"],

Cell[BoxData[
 RowBox[{"Run", "[", 
  "\"\<reg query \\\"HKCU\\\\Control Panel\\\\Desktop\\\" /v \
PreferredUILanguages > x.txt\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.7283906895003433`*^9, 
  3.728390734676051*^9}},ExpressionUUID->"11a85068-4847-45ef-953e-\
facdea73744e"],

Cell[BoxData[
 RowBox[{"StringSplit", "[", 
  RowBox[{
   RowBox[{"Import", "[", "\"\<x.txt\>\"", "]"}], ",", "\"\<\\n\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.7283907447213154`*^9},ExpressionUUID->"43dda9a1-9922-4215-aa53-\
afdd5691c02e"],

Cell[BoxData[
 RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}]], "Input",ExpressionUUID->"3fcabe5c-77ac-4b52-b59b-bb8da7bee272"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check compilers", "Subtitle",
 CellChangeTimes->{
  3.7283926877469907`*^9},ExpressionUUID->"3b4c04c3-b7c0-45ed-8eef-\
32854bedd84b"],

Cell["\<\
What you get here depends on MathCodeConfig.m, depends on whether you  done \
instructions from  Release Notes, and whether you have all necessary or \
optional  C++ compilers.
    \
\>", "Text",ExpressionUUID->"c42e7006-f8d3-41e9-aff9-bf3df1c89b3c"],

Cell[BoxData["$DefaultCompilers"], "Input",ExpressionUUID->"8fad3ced-8e65-403d-a3ab-13e9c398f220"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"$CompilerDefinitions", "//", "FullForm"}]}]], "Input",ExpressionUUI\
D->"bd5df0f1-0ff7-4257-b161-f4435d393e90"],

Cell[BoxData["$SystemID"], "Input",ExpressionUUID->"177ced71-12e5-4980-8715-01952f4b14e4"],

Cell[BoxData["$System"], "Input",ExpressionUUID->"135ccfff-d049-446f-8014-6d1caeab8639"],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", "$MCRoot", "]"}]], "Input",ExpressionUUID->"51b4b035-9c16-4876-aeaf-b8ce1d5ecb18"],

Cell[BoxData[
 RowBox[{"Environment", "[", "\"\<COMSPEC\>\"", "]"}]], "Input",ExpressionUUID->"3e0f4bdc-1fa3-4b69-994a-296c1a99676f"],

Cell[BoxData[
 RowBox[{"Environment", "[", "\"\<MSDKBAT\>\"", "]"}]], "Input",ExpressionUUID->"ad84423c-773b-44ef-803c-aa2f9aa6787d"],

Cell[BoxData[
 RowBox[{"Environment", "[", "\"\<MCSTARTBAT\>\"", "]"}]], "Input",ExpressionU\
UID->"d45c0c71-5eba-42ad-a642-f160f9d4ebf6"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{"$MCWindows", ",", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<StartMathCode.bat\>\"", ",", "\"\<Text\>\""}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.491102569637022*^9, 
  3.4911025850358458`*^9}},ExpressionUUID->"57dd678a-f0ff-4651-a05d-\
20e976f9028c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{"$MCWindows", ",", 
    RowBox[{"Import", "[", 
     RowBox[{"\"\<StartMathCode.bat\>\"", ",", "\"\<Text\>\""}], "]"}]}], 
   "]"}], "//", "FullForm"}]], "Input",
 CellChangeTimes->{{3.491102591495829*^9, 
  3.491102597707056*^9}},ExpressionUUID->"83b686b9-d5ad-4350-a78c-\
24d44771a847"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Environment", "[", "\"\<MCSTARTBAT\>\"", "]"}], "//", 
  "FullForm"}]], "Input",
 CellChangeTimes->{{3.5086784767572613`*^9, 
  3.508678479632206*^9}},ExpressionUUID->"aef4792d-1573-48ce-bbeb-\
6742ed72a3ca"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{"$MCWindows", ",", 
   RowBox[{"noquotes", "=", 
    RowBox[{"StringDrop", "[", 
     RowBox[{
      RowBox[{"StringDrop", "[", 
       RowBox[{
        RowBox[{"Environment", "[", "\"\<MCSTARTBAT\>\"", "]"}], ",", "1"}], 
       "]"}], ",", 
      RowBox[{"-", "2"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.491102593824853*^9, 3.491102599821529*^9}, {
  3.508678553740158*^9, 3.508678554255773*^9}, {3.728392755373522*^9, 
  3.7283927558478346`*^9}, {3.72839279299279*^9, 
  3.7283927935986414`*^9}},ExpressionUUID->"28fe27da-5322-48e6-b5f8-\
dfd3c32d5611"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{"$MCWindows", ",", 
   RowBox[{"Import", "[", 
    RowBox[{"noquotes", ",", "\"\<Text\>\""}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.491102608003469*^9, 
  3.491102614481372*^9}},ExpressionUUID->"e09cb376-0c9d-4660-8ce1-\
ab0d73e18ad7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{"$MCWindows", ",", 
    RowBox[{"Import", "[", 
     RowBox[{"noquotes", ",", "\"\<Text\>\""}], "]"}]}], "]"}], "//", 
  "FullForm"}]], "Input",
 CellChangeTimes->{{3.491102609514134*^9, 
  3.491102618716165*^9}},ExpressionUUID->"52eebdca-16f2-4844-9bdd-\
23f2f5165206"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{"$MCWindows", ",", 
   RowBox[{"noquotes", "=", 
    RowBox[{"StringDrop", "[", 
     RowBox[{
      RowBox[{"StringDrop", "[", 
       RowBox[{
        RowBox[{"Environment", "[", "\"\<MCSTARTBAT\>\"", "]"}], ",", "1"}], 
       "]"}], ",", 
      RowBox[{"-", "1"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.491102593824853*^9, 3.491102599821529*^9}, {
  3.508678553740158*^9, 3.508678554255773*^9}, {3.508678627379369*^9, 
  3.508678627473117*^9}},ExpressionUUID->"21484696-590e-45c8-b239-\
c939b87cd66f"],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{"$MCWindows", ",", 
   RowBox[{"Import", "[", 
    RowBox[{"noquotes", ",", "\"\<Text\>\""}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.491102608003469*^9, 
  3.491102614481372*^9}},ExpressionUUID->"727654d0-0b66-4d49-b652-\
e8c375fe8f16"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{"$MCWindows", ",", 
    RowBox[{"Import", "[", 
     RowBox[{"noquotes", ",", "\"\<Text\>\""}], "]"}]}], "]"}], "//", 
  "FullForm"}]], "Input",
 CellChangeTimes->{{3.491102609514134*^9, 
  3.491102618716165*^9}},ExpressionUUID->"b4b3eb2d-c55e-40b7-8acb-\
e133da3382cf"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"DeleteFile", "::", "\"\<nffil\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"On", "[", 
  RowBox[{"DeleteFile", "::", "\"\<nffil\>\""}], "]"}]}], "Input",ExpressionUU\
ID->"96ff52ff-7a1f-4a45-9e82-ca466f514d84"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Run", "[", "\"\<make -v > x.txt\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"\"\<x.txt\>\"", ",", "\"\<Text\>\""}], "]"}], "//", 
  "FullForm"}]}], "Input",ExpressionUUID->"f5df32a0-9981-4728-866c-\
2cf010a26235"],

Cell[BoxData[
 RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}]], "Input",ExpressionUUID->"4eda3023-acc9-40da-8558-e3838f2e5960"],

Cell["\<\

Should report GNU Make here\
\>", "Text",ExpressionUUID->"c882171a-992a-47d7-8968-477f0e73240a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Run", "[", "\"\<set > x.txt\>\"", "]"}], ";", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"\"\<x.txt\>\"", ",", "\"\<Lines\>\""}], "]"}], "//", 
    "FullForm"}]}], "\[IndentingNewLine]"}]], "Input",ExpressionUUID->\
"73e583f5-cd9a-4b83-adf4-18a7f28c1336"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}], 
  "\[IndentingNewLine]"}]], "Input",ExpressionUUID->"391c917e-f1ee-4bea-b15b-\
e3d4d64f1203"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Run", "[", "\"\<assoc .h> x.txt\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Run", "[", "\"\<assoc  .cpp>> x.txt\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Run", "[", "\"\<assoc  .vcproj>> x.txt\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"\"\<x.txt\>\"", ",", "\"\<Lines\>\""}], "]"}], "//", 
    "FullForm"}], "\[IndentingNewLine]"}]}]], "Input",ExpressionUUID->\
"99010d2d-9185-42aa-9308-141d0061d8bf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}], 
  "\[IndentingNewLine]"}]], "Input",ExpressionUUID->"7a7ff3b8-98b9-4fe8-807b-\
9eb05678fd87"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Run", "[", "\"\<nmake /X- > x.txt\>\"", "]"}], ";", 
  RowBox[{
   RowBox[{"Import", "[", 
    RowBox[{"\"\<x.txt\>\"", ",", "\"\<Text\>\""}], "]"}], "//", 
   "FullForm"}]}]], "Input",ExpressionUUID->"70b9005d-0a41-4666-a698-\
2e9d25905019"],

Cell[BoxData[
 RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}]], "Input",ExpressionUUID->"07764976-ba1e-4201-b00f-823251f5a359"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Run", "[", "\"\<cl 2> x.txt\>\"", "]"}], ";", 
  RowBox[{
   RowBox[{"Import", "[", 
    RowBox[{"\"\<x.txt\>\"", ",", "\"\<Text\>\""}], "]"}], "//", 
   "FullForm"}]}]], "Input",ExpressionUUID->"6cf9d0cd-494f-437a-8f60-\
41c84e2bb6dc"],

Cell[BoxData[
 RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}]], "Input",ExpressionUUID->"5fb2500e-dd1b-4f9f-ba2a-c08396f3a850"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Run", "[", "\"\<gcc -v 2> x.txt\>\"", "]"}], ";", 
  RowBox[{
   RowBox[{"Import", "[", 
    RowBox[{"\"\<x.txt\>\"", ",", "\"\<Text\>\""}], "]"}], "//", 
   "FullForm"}]}]], "Input",ExpressionUUID->"613e2f0c-f3f9-45a6-bd02-\
395f2f9ed1bc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Run", "[", "\"\<g95 -v 2> x.txt\>\"", "]"}], ";", 
  RowBox[{
   RowBox[{"Import", "[", 
    RowBox[{"\"\<x.txt\>\"", ",", "\"\<Text\>\""}], "]"}], "//", 
   "FullForm"}]}]], "Input",
 CellChangeTimes->{{3.474695793462209*^9, 
  3.4746957948372445`*^9}},ExpressionUUID->"262248aa-ef59-4eed-90c2-\
5b8035236202"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Run", "[", "\"\<type -p g95 > x.txt\>\"", "]"}], ";", 
  RowBox[{"FileInfo", "[", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<x.txt\>\"", ",", "\"\<Text\>\""}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.491102696873411*^9, 3.491102720608426*^9}, {
   3.491102845408905*^9, 3.491102891708213*^9}, 
   3.7283925731819487`*^9},ExpressionUUID->"f27fe36d-bdf4-4a6b-bc4e-\
68aaa4fc2947"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.491102918040525*^9, 
  3.491102921258794*^9}},ExpressionUUID->"7aa0dcb1-c71c-41ef-af4d-\
3a1c3cc924bf"],

Cell[BoxData[
 RowBox[{"DeleteFile", "[", "\"\<x.txt\>\"", "]"}]], "Input",ExpressionUUID->"443be7ca-0c47-4fa0-906e-fc1dbece59ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check normal BuildCode", "Subtitle",ExpressionUUID->"ece8426c-d625-419e-bce0-d6b27749701e"],

Cell["SetDirectory[$MCRoot<>\"/Demos\"];", "Input",
 CellChangeTimes->{
  3.491103171495284*^9},ExpressionUUID->"bb223149-87bd-441a-8188-\
142a5ef3c967"],

Cell["addtwo[Real a_,Real b_] -> Real := Module[{},a+b]", "Input",ExpressionUUID->"6f6c9ad2-59c0-491c-907e-5a08eecce577"],

Cell[BoxData[
 RowBox[{"??", "addtwo"}]], "Input",ExpressionUUID->"8ca97590-8943-4cd4-9a0f-0dfd760ec1fd"],

Cell[TextData[{
 "Report about path without slashes is evidence of Japanses or Spanish \
Windows. Modify  ",
 StyleBox["MPREP=$(subst \\\\,\\,$(MPREP2))",
  FontWeight->"Bold"],
 "  to ",
 StyleBox["MPREP=$(MPREP2)",
  FontWeight->"Bold"],
 " in ",
 StyleBox["mingw32.mak",
  FontWeight->"Bold"],
 "\n"
}], "Text",ExpressionUUID->"16913336-8e59-4b95-8a50-09673da138d7"],

Cell["BuildCode[]", "Input",ExpressionUUID->"56ab515b-8db2-4b84-8f2f-dc232779b624"],

Cell[BoxData[
 RowBox[{"FileNames", "[", "\"\<*\>\"", "]"}]], "Input",ExpressionUUID->"6d51439c-d088-4546-b88f-f96c2d781362"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"\"\<Global.cmd\>\"", ",", "\"\<Lines\>\""}], "]"}], "//", 
  "FullForm"}]], "Input",ExpressionUUID->"b8b4e486-8367-457f-ae96-\
915589824cc7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"\"\<Global.clog\>\"", ",", "\"\<Lines\>\""}], "]"}], "//", 
  "FullForm"}]], "Input",ExpressionUUID->"8f6f351a-6b15-4cd4-9f81-\
39e11820b720"],

Cell[BoxData[
 RowBox[{
  RowBox[{"link1", "=", 
   RowBox[{"Install", "[", "\"\<Globalml.exe\>\"", "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",ExpressionUUID->"dc033c84-756b-4100-b9c5-\
8f2556a52007"],

Cell[BoxData[
 RowBox[{"??", "addtwo"}]], "Input",ExpressionUUID->"6c2ca441-cf95-4b70-a0a8-fb447351b2e3"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Uninstall", "[", "link1", "]"}]}]], "Input",ExpressionUUID->\
"2ce30a76-c64f-4ce8-a9b5-0ef298b1f1eb"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"??", "addtwo"}]}]], "Input",ExpressionUUID->"2bb18422-284b-47ac-\
862e-63bef48d3484"],

Cell["InstallCode[];", "Input",ExpressionUUID->"9143c869-ab3d-4616-b138-712a0576227f"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"??", "addtwo"}]}]], "Input",ExpressionUUID->"ca233d09-5ccc-4652-\
95cd-50448200e3c9"],

Cell["addtwo[2.,2.]", "Input",ExpressionUUID->"40e18697-f6c4-4aa4-ace7-663e798dbd8c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"UninstallCode", "[", "]"}], ";"}]], "Input",ExpressionUUID->"1cddf3a0-67af-43d8-9543-dadd2a6ad988"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
   "InputString", "[", 
    "\"\<In the following dialogs (if they appear) press: Cancel Cancel \
OK\>\"", "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.491103259793797*^9, 
  3.491103267212302*^9}},ExpressionUUID->"bfc33f4b-ff75-46f0-a325-\
ca1b9028f87c"],

Cell[BoxData[
 RowBox[{"FileNames", "[", "\"\<*\>\"", "]"}]], "Input",ExpressionUUID->"ccff4dd2-c2ec-4789-8807-d301a3217191"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Run", "[", "\"\<./Globalml.exe\>\"", "]"}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.491070998685007*^9, 3.491071002023736*^9}, {
  3.491103217796225*^9, 3.491103222083352*^9}, {3.49110343668147*^9, 
  3.491103440703703*^9}},ExpressionUUID->"fa9e9a0f-4dec-4001-a259-\
1d7d71267010"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Run", "[", 
   RowBox[{
    RowBox[{"FileNames", "[", "\"\<./Globalml.exe\>\"", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4910710046339912`*^9, 
  3.491071007646987*^9}},ExpressionUUID->"ae0f9ffa-9a62-420d-aba7-\
152e3f867b2a"],

Cell["CleanMathCodeFiles[Confirm -> False, CleanAllBut -> {}];", "Input",ExpressionUUID->"7128fa8e-3541-46a3-a8de-5f83d039556d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Date", "[", "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.728390868153055*^9, 
  3.7283908733034725`*^9}},ExpressionUUID->"eb7495f5-3b72-4485-8992-\
8ce3d76b6f13"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1920, 1117},
WindowMargins->{{1912, Automatic}, {Automatic, -8}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 280, 4, 104, "Title",ExpressionUUID->"10dc1c19-1315-4b2c-97f6-fb99c7d22901"],
Cell[850, 28, 1538, 32, 225, "Text",ExpressionUUID->"5c8e647e-7c57-4848-bf1d-2548ac8a0731"],
Cell[CellGroupData[{
Cell[2413, 64, 91, 0, 63, "Subtitle",ExpressionUUID->"8b3adcdb-a4af-4231-9800-fe99edccb9cf"],
Cell[2507, 66, 463, 10, 98, "Text",ExpressionUUID->"5b0a0249-a50e-4053-b0a4-a4f09296109e"],
Cell[2973, 78, 789, 19, 61, "Input",ExpressionUUID->"0dd85a96-b2e1-4f68-9000-8a9067e23044"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3799, 102, 100, 0, 63, "Subtitle",ExpressionUUID->"6df45293-03e9-4b56-9a12-d3c4fb2c3ed7"],
Cell[3902, 104, 152, 2, 35, "Text",ExpressionUUID->"462f8883-e775-43dd-9a3d-0c6ee85b57ae"],
Cell[4057, 108, 129, 1, 37, "Input",ExpressionUUID->"2f323f33-cae4-42d0-9bc9-12483435f765"],
Cell[4189, 111, 557, 12, 78, "Text",ExpressionUUID->"f63bbf2e-d79f-4031-a67e-f8b36fd8c27c"],
Cell[4749, 125, 87, 0, 37, "Input",ExpressionUUID->"ef05696a-c2d8-42e1-886f-ea4e596a7f13"],
Cell[4839, 127, 161, 3, 35, "Text",ExpressionUUID->"2b5303bb-74a4-4a1e-92a5-9ee2540a7edb"],
Cell[5003, 132, 91, 0, 37, "Input",ExpressionUUID->"e723dc88-c0dd-447a-b50a-a6fa563841b3"],
Cell[5097, 134, 169, 3, 35, "Text",ExpressionUUID->"eadb248e-7733-4c05-a006-5b9bdb163aca"],
Cell[5269, 139, 170, 4, 37, "Input",ExpressionUUID->"8330eac8-ed98-4e6e-b02f-b6bfddd01951"],
Cell[5442, 145, 213, 3, 35, "Text",ExpressionUUID->"59763bee-5969-49f3-ae2f-9a6c3b754e31"],
Cell[5658, 150, 350, 8, 37, "Input",ExpressionUUID->"21810b2c-8189-4727-bdf2-44677b7e448f"],
Cell[6011, 160, 420, 11, 37, "Input",ExpressionUUID->"1c66a92c-0d08-45cd-88ad-6d55e5629b87"],
Cell[6434, 173, 317, 7, 37, "Input",ExpressionUUID->"db9b50a5-1b59-43eb-ab17-94fe76dfae5e"],
Cell[6754, 182, 569, 14, 37, "Input",ExpressionUUID->"11cccc8a-034c-49bc-a103-7cc449f7ecda"],
Cell[7326, 198, 335, 7, 35, "Text",ExpressionUUID->"85ec6819-edf0-4666-9873-6c11fea22382"],
Cell[7664, 207, 121, 1, 37, "Input",ExpressionUUID->"a44eadee-09f2-494e-a18b-8601d64a2df2"],
Cell[7788, 210, 213, 3, 35, "Text",ExpressionUUID->"68ce4ff6-0017-4055-8b8e-a40785cabd8e"],
Cell[8004, 215, 133, 1, 37, "Input",ExpressionUUID->"758bd8a2-74d9-42b8-9a88-06bb4055ff45"],
Cell[8140, 218, 165, 3, 35, "Text",ExpressionUUID->"285ae882-4bdf-44f8-814c-8e24a16c74ed"],
Cell[8308, 223, 133, 1, 37, "Input",ExpressionUUID->"59e4057e-9a73-4676-80e2-13e8f264bf86"],
Cell[8444, 226, 166, 3, 35, "Text",ExpressionUUID->"426bf82d-1fbf-49dc-b8ef-e676326eea58"],
Cell[8613, 231, 89, 0, 37, "Input",ExpressionUUID->"f20b7f87-e96a-4dd9-9f93-ae7285b60b27"],
Cell[8705, 233, 217, 8, 35, "Text",ExpressionUUID->"6b88401c-7e9c-4f9b-9846-3faabb863a0b"],
Cell[8925, 243, 130, 3, 37, "Input",ExpressionUUID->"500f0a85-5b0c-451b-b3c1-1fe91dc6b5f9"],
Cell[9058, 248, 90, 0, 37, "Input",ExpressionUUID->"8171b7e1-0e29-4a46-a09b-8e6d6444c4ee"],
Cell[9151, 250, 156, 3, 37, InheritFromParent,ExpressionUUID->"3a36cd27-7ec1-42ca-a888-b3bc1a0aadca"],
Cell[9310, 255, 317, 6, 37, "Input",ExpressionUUID->"fa134234-4d84-4691-abbe-3b9deb475923"],
Cell[9630, 263, 227, 4, 35, "Text",ExpressionUUID->"4bf96e10-8ffe-4190-adb7-35d49ae5d8bf"],
Cell[9860, 269, 147, 3, 61, "Input",ExpressionUUID->"eb126a56-0c47-496c-902a-1e22b080ecaa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10044, 277, 108, 0, 63, "Subtitle",ExpressionUUID->"3abab871-4161-4cbb-9e26-abb00f4ba55c"],
Cell[10155, 279, 112, 1, 37, "Input",ExpressionUUID->"e89d13a4-1715-487e-8964-a042aff55974"],
Cell[10270, 282, 398, 8, 37, "Input",ExpressionUUID->"c91c1b2a-6904-4ecc-ba52-29208cf9e6ec"],
Cell[10671, 292, 268, 6, 35, "Text",ExpressionUUID->"d7ba5165-7f2e-4453-98a3-bebb45d99a72"],
Cell[10942, 300, 425, 11, 37, "Input",ExpressionUUID->"d33411ef-4b8f-4022-9d55-c9853bf1044d"],
Cell[11370, 313, 146, 3, 37, "Input",ExpressionUUID->"019c4940-659e-4e9f-a2f4-48ca1a7c0640"],
Cell[11519, 318, 299, 6, 35, "Text",ExpressionUUID->"fc79d812-521c-4c96-b572-82466566e7f5"],
Cell[11821, 326, 178, 4, 37, "Input",ExpressionUUID->"d53d2873-d6aa-4fa8-8b7a-98bf02802268"],
Cell[12002, 332, 177, 5, 56, "Text",ExpressionUUID->"6c251cc8-ca0e-420e-bf1e-8f044398b6b1"],
Cell[12182, 339, 94, 0, 37, "Input",ExpressionUUID->"97f84e84-ab0b-4d1c-8cde-2b8ce5b16209"],
Cell[12279, 341, 168, 3, 37, "Input",ExpressionUUID->"2a4b138e-8549-45a8-b19e-53badb3f5182"],
Cell[12450, 346, 642, 17, 84, "Input",ExpressionUUID->"783c7322-173e-4ef3-be96-982b00b5d2c3"],
Cell[13095, 365, 191, 4, 37, "Input",ExpressionUUID->"64dcddb5-709f-4108-b77b-dfbcbd72450a"],
Cell[13289, 371, 330, 9, 37, "Input",ExpressionUUID->"bd92027b-28d4-4dad-b60e-a68ad47ec313"],
Cell[13622, 382, 232, 6, 61, "Input",ExpressionUUID->"4ce7dca2-570b-4697-a4ae-949c663bf0d1"],
Cell[13857, 390, 307, 7, 56, "Text",ExpressionUUID->"5dffb207-47df-4da5-ac4c-9d2893485c10"],
Cell[14167, 399, 163, 3, 37, "Input",ExpressionUUID->"38a3f9d0-5125-4872-bc93-72d3afcafb51"],
Cell[14333, 404, 97, 0, 37, "Input",ExpressionUUID->"7ba0558f-6416-48cd-8517-4671469a577e"],
Cell[14433, 406, 108, 0, 37, "Input",ExpressionUUID->"560f7307-6088-4e83-88b0-048acab1beda"],
Cell[14544, 408, 464, 13, 61, "Input",ExpressionUUID->"fc07bb4b-6c14-4f69-a1db-77cdb1299666"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15045, 426, 96, 0, 63, "Subtitle",ExpressionUUID->"f2c74486-b72f-414c-932d-c7434ec5d55e"],
Cell[15144, 428, 199, 4, 37, "Input",ExpressionUUID->"df024ece-2853-492a-96ba-a4c2b5bec3c3"],
Cell[15346, 434, 126, 1, 37, "Input",ExpressionUUID->"6d001936-3d5c-4277-8791-7f3414364930"],
Cell[15475, 437, 112, 1, 37, "Input",ExpressionUUID->"83ddc7cb-0c48-44fe-938e-68a5c1acf56a"],
Cell[15590, 440, 336, 11, 57, "Text",ExpressionUUID->"8aa521be-d043-4e3a-8cb0-591968b9b413"],
Cell[15929, 453, 243, 6, 61, "Input",ExpressionUUID->"b05ed3b9-7934-4fba-a132-157d7c132307"],
Cell[16175, 461, 524, 13, 61, "Input",ExpressionUUID->"59fd4055-758c-49af-b8da-be9765b788a1"],
Cell[16702, 476, 277, 7, 37, "Input",ExpressionUUID->"47db5779-3d18-4b84-9b9d-f853594f10ca"],
Cell[16982, 485, 145, 3, 37, "Input",ExpressionUUID->"39f9926f-82b7-4587-8583-a04dc9c177f1"],
Cell[17130, 490, 658, 17, 61, "Input",ExpressionUUID->"38c667a6-1e7e-44f9-b796-16a0a75a6b11"],
Cell[17791, 509, 112, 1, 37, "Input",ExpressionUUID->"786714e7-302a-4e7b-83fa-f4246bcf5a94"],
Cell[17906, 512, 473, 12, 61, "Input",ExpressionUUID->"ffe49ef1-7686-4acd-9a3a-60208cbf1237"],
Cell[18382, 526, 327, 9, 37, "Input",ExpressionUUID->"ba791baa-56a6-4784-a4c8-39deb9c5b333"],
Cell[18712, 537, 830, 26, 79, "Text",ExpressionUUID->"eb3aecbb-e244-4d4f-a40d-bace1c32fe02"],
Cell[19545, 565, 262, 7, 37, "Input",ExpressionUUID->"1f80497a-fe40-4bde-8b92-5e7deeefb8e5"],
Cell[19810, 574, 323, 8, 56, "Text",ExpressionUUID->"83ae939d-f6fe-4ead-a38a-7fb98eab8a75"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20170, 587, 97, 0, 63, "Subtitle",ExpressionUUID->"48b28bf8-50d9-457f-b03c-6af58e2ca4cf"],
Cell[20270, 589, 129, 0, 35, "Text",ExpressionUUID->"2ba45a12-be7d-4fb2-9c3b-22f8ebe65bb9"],
Cell[20402, 591, 117, 1, 37, "Input",ExpressionUUID->"8b2d0c03-88dd-4279-a6e9-2b3e4b61a8ea"],
Cell[20522, 594, 123, 1, 37, "Input",ExpressionUUID->"bd70466c-c88f-4ad4-9b82-fcb9161d9c6e"],
Cell[20648, 597, 180, 4, 37, "Input",ExpressionUUID->"4c171caf-76b0-49fc-9220-1432cca374be"],
Cell[20831, 603, 186, 4, 37, "Input",ExpressionUUID->"51b13a36-968e-4898-996e-3ba4e9d58544"],
Cell[21020, 609, 320, 6, 61, "Input",ExpressionUUID->"bdf97038-f868-4cc3-a8bf-0607f964ec7d"],
Cell[21343, 617, 386, 6, 37, "Input",ExpressionUUID->"486c9a74-89ae-4601-ae7f-82e3273e8397"],
Cell[21732, 625, 100, 0, 61, "Input",ExpressionUUID->"59c32735-93e3-46af-96bf-7f8a68e791ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21869, 630, 89, 0, 63, "Subtitle",ExpressionUUID->"73ea7b54-3ee6-40a3-a814-0a8f788160e9"],
Cell[21961, 632, 685, 17, 84, "Input",ExpressionUUID->"2943d046-87d8-4ad0-b212-fe90d2257111"],
Cell[22649, 651, 129, 0, 35, "Text",ExpressionUUID->"f7826eae-f6a8-48e0-a595-a5c6809af0ac"],
Cell[22781, 653, 173, 4, 37, "Input",ExpressionUUID->"24ca5228-2592-492f-ab37-27dbc0fe5dcb"],
Cell[22957, 659, 170, 3, 35, "Text",ExpressionUUID->"0769c404-f805-4d59-bca6-5889d219923b"],
Cell[23130, 664, 157, 3, 37, "Input",ExpressionUUID->"888ca507-5b3c-4adf-a8b7-b5fa65c89ae9"],
Cell[23290, 669, 139, 3, 37, "Input",ExpressionUUID->"cada9ffa-d76b-4b2d-80d6-e2414aa66431"],
Cell[23432, 674, 126, 1, 37, "Input",ExpressionUUID->"ec9523a3-bb7a-4dd8-87e6-1aae0534f7ee"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23595, 680, 95, 0, 63, "Subtitle",ExpressionUUID->"e34797b6-4904-407a-8cd0-efc5fb7af870"],
Cell[23693, 682, 492, 13, 61, "Input",ExpressionUUID->"74585cdf-2be8-49ab-9af8-58e66f896e4c"],
Cell[24188, 697, 126, 1, 37, "Input",ExpressionUUID->"90dbc3df-d19f-42f6-a55f-62bc56c9f19d"],
Cell[24317, 700, 374, 9, 61, "Input",ExpressionUUID->"b3774691-b689-4408-a177-2d85e025c0d8"],
Cell[24694, 711, 376, 10, 37, "Input",ExpressionUUID->"7430f7e8-947c-46e6-b378-b529bb98a262"],
Cell[25073, 723, 243, 6, 61, "Input",ExpressionUUID->"bf9df3e2-7422-452f-b8cf-3fead48e65f8"],
Cell[25319, 731, 251, 8, 57, "Text",ExpressionUUID->"3b6b924f-5577-4b7d-8be4-c48f65be1686"],
Cell[25573, 741, 276, 7, 37, "Input",ExpressionUUID->"bae5fe1a-fe53-4487-bbc0-faa013e4588d"],
Cell[25852, 750, 228, 8, 36, "Text",ExpressionUUID->"57598665-2566-4f37-9b14-62dab5fc3373"],
Cell[26083, 760, 328, 8, 61, "Input",ExpressionUUID->"f93961aa-47ea-4ee8-a338-1a004311b8c3"],
Cell[26414, 770, 310, 8, 37, "Input",ExpressionUUID->"731c3a29-88c0-492c-bf61-3660e326d104"],
Cell[26727, 780, 150, 3, 61, "Input",ExpressionUUID->"86ae34e8-de52-4b18-819b-632c28d73f3a"],
Cell[26880, 785, 250, 6, 61, "Input",ExpressionUUID->"0215efe6-1ce3-4206-b586-25d9ce7f0b17"],
Cell[27133, 793, 200, 6, 56, "Text",ExpressionUUID->"222202ab-d37d-400b-bb4b-86b3122ea81a"],
Cell[27336, 801, 413, 9, 37, "Input",ExpressionUUID->"971e685d-60bd-47ca-912c-c85a71dc1a46"],
Cell[27752, 812, 123, 1, 37, "Input",ExpressionUUID->"c9ba1993-92b5-406b-a16c-66f7b57c9db1"],
Cell[27878, 815, 179, 3, 37, "Input",ExpressionUUID->"9f351475-c711-4802-9c29-b1c69e739df8"],
Cell[28060, 820, 100, 0, 61, "Input",ExpressionUUID->"b32761c5-4559-4077-996b-3c6477e203cd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28197, 825, 105, 0, 63, "Subtitle",ExpressionUUID->"d35f3ef0-7e16-45f9-8688-2f1a74af96ee"],
Cell[28305, 827, 165, 3, 37, "Input",ExpressionUUID->"905273b8-99aa-40c6-b0f4-fc5082916f99"],
Cell[28473, 832, 176, 4, 37, "Input",ExpressionUUID->"06f2fc22-3b35-4752-acf7-fe528228a488"],
Cell[28652, 838, 197, 5, 37, "Input",ExpressionUUID->"6c300c8b-516a-4e9a-9e31-1f583b1bf41d"],
Cell[28852, 845, 179, 4, 37, "Input",ExpressionUUID->"e26e91b1-ea34-4240-970a-3048b31dbca6"],
Cell[29034, 851, 278, 6, 37, "Input",ExpressionUUID->"11a85068-4847-45ef-953e-facdea73744e"],
Cell[29315, 859, 250, 7, 37, "Input",ExpressionUUID->"43dda9a1-9922-4215-aa53-afdd5691c02e"],
Cell[29568, 868, 130, 1, 37, "Input",ExpressionUUID->"3fcabe5c-77ac-4b52-b59b-bb8da7bee272"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29735, 874, 139, 3, 63, "Subtitle",ExpressionUUID->"3b4c04c3-b7c0-45ed-8eef-32854bedd84b"],
Cell[29877, 879, 260, 5, 56, "Text",ExpressionUUID->"c42e7006-f8d3-41e9-aff9-bf3df1c89b3c"],
Cell[30140, 886, 98, 0, 37, "Input",ExpressionUUID->"8fad3ced-8e65-403d-a3ab-13e9c398f220"],
Cell[30241, 888, 169, 3, 61, "Input",ExpressionUUID->"bd5df0f1-0ff7-4257-b161-f4435d393e90"],
Cell[30413, 893, 90, 0, 37, "Input",ExpressionUUID->"177ced71-12e5-4980-8715-01952f4b14e4"],
Cell[30506, 895, 88, 0, 37, "Input",ExpressionUUID->"135ccfff-d049-446f-8014-6d1caeab8639"],
Cell[30597, 897, 126, 1, 37, "Input",ExpressionUUID->"51b4b035-9c16-4876-aeaf-b8ce1d5ecb18"],
Cell[30726, 900, 133, 1, 37, "Input",ExpressionUUID->"3e0f4bdc-1fa3-4b69-994a-296c1a99676f"],
Cell[30862, 903, 133, 1, 37, "Input",ExpressionUUID->"ad84423c-773b-44ef-803c-aa2f9aa6787d"],
Cell[30998, 906, 138, 2, 37, "Input",ExpressionUUID->"d45c0c71-5eba-42ad-a642-f160f9d4ebf6"],
Cell[31139, 910, 312, 8, 37, "Input",ExpressionUUID->"57dd678a-f0ff-4651-a05d-20e976f9028c"],
Cell[31454, 920, 345, 9, 37, "Input",ExpressionUUID->"83b686b9-d5ad-4350-a78c-24d44771a847"],
Cell[31802, 931, 243, 6, 37, "Input",ExpressionUUID->"aef4792d-1573-48ce-bbeb-6742ed72a3ca"],
Cell[32048, 939, 616, 15, 37, "Input",ExpressionUUID->"28fe27da-5322-48e6-b5f8-dfd3c32d5611"],
Cell[32667, 956, 290, 7, 37, "Input",ExpressionUUID->"e09cb376-0c9d-4660-8ce1-ab0d73e18ad7"],
Cell[32960, 965, 327, 9, 37, "Input",ExpressionUUID->"52eebdca-16f2-4844-9bdd-23f2f5165206"],
Cell[33290, 976, 564, 14, 37, "Input",ExpressionUUID->"21484696-590e-45c8-b239-c939b87cd66f"],
Cell[33857, 992, 290, 7, 37, "Input",ExpressionUUID->"727654d0-0b66-4d49-b652-e8c375fe8f16"],
Cell[34150, 1001, 327, 9, 37, "Input",ExpressionUUID->"b4b3eb2d-c55e-40b7-8acb-e133da3382cf"],
Cell[34480, 1012, 380, 10, 84, "Input",ExpressionUUID->"96ff52ff-7a1f-4a45-9e82-ca466f514d84"],
Cell[34863, 1024, 299, 8, 61, "Input",ExpressionUUID->"f5df32a0-9981-4728-866c-2cf010a26235"],
Cell[35165, 1034, 130, 1, 37, "Input",ExpressionUUID->"4eda3023-acc9-40da-8558-e3838f2e5960"],
Cell[35298, 1037, 107, 3, 56, "Text",ExpressionUUID->"c882171a-992a-47d7-8968-477f0e73240a"],
Cell[35408, 1042, 313, 8, 61, "Input",ExpressionUUID->"73e583f5-cd9a-4b83-adf4-18a7f28c1336"],
Cell[35724, 1052, 171, 4, 61, "Input",ExpressionUUID->"391c917e-f1ee-4bea-b15b-e3d4d64f1203"],
Cell[35898, 1058, 603, 16, 153, "Input",ExpressionUUID->"99010d2d-9185-42aa-9308-141d0061d8bf"],
Cell[36504, 1076, 171, 4, 61, "Input",ExpressionUUID->"7a7ff3b8-98b9-4fe8-807b-9eb05678fd87"],
Cell[36678, 1082, 277, 7, 37, "Input",ExpressionUUID->"70b9005d-0a41-4666-a698-2e9d25905019"],
Cell[36958, 1091, 130, 1, 37, "Input",ExpressionUUID->"07764976-ba1e-4201-b00f-823251f5a359"],
Cell[37091, 1094, 271, 7, 37, "Input",ExpressionUUID->"6cf9d0cd-494f-437a-8f60-41c84e2bb6dc"],
Cell[37365, 1103, 130, 1, 37, "Input",ExpressionUUID->"5fb2500e-dd1b-4f9f-ba2a-c08396f3a850"],
Cell[37498, 1106, 275, 7, 37, "Input",ExpressionUUID->"613e2f0c-f3f9-45a6-bd02-395f2f9ed1bc"],
Cell[37776, 1115, 346, 9, 37, "Input",ExpressionUUID->"262248aa-ef59-4eed-90c2-5b8035236202"],
Cell[38125, 1126, 423, 9, 37, "Input",ExpressionUUID->"f27fe36d-bdf4-4a6b-bc4e-68aaa4fc2947"],
Cell[38551, 1137, 152, 3, 37, "Input",ExpressionUUID->"7aa0dcb1-c71c-41ef-af4d-3a1c3cc924bf"],
Cell[38706, 1142, 130, 1, 37, "Input",ExpressionUUID->"443be7ca-0c47-4fa0-906e-fc1dbece59ed"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38873, 1148, 97, 0, 63, "Subtitle",ExpressionUUID->"ece8426c-d625-419e-bce0-d6b27749701e"],
Cell[38973, 1150, 153, 3, 37, "Input",ExpressionUUID->"bb223149-87bd-441a-8188-142a5ef3c967"],
Cell[39129, 1155, 121, 0, 37, "Input",ExpressionUUID->"6f6c9ad2-59c0-491c-907e-5a08eecce577"],
Cell[39253, 1157, 105, 1, 37, "Input",ExpressionUUID->"8ca97590-8943-4cd4-9a0f-0dfd760ec1fd"],
Cell[39361, 1160, 369, 12, 57, "Text",ExpressionUUID->"16913336-8e59-4b95-8a50-09673da138d7"],
Cell[39733, 1174, 83, 0, 37, "Input",ExpressionUUID->"56ab515b-8db2-4b84-8f2f-dc232779b624"],
Cell[39819, 1176, 125, 1, 37, "Input",ExpressionUUID->"6d51439c-d088-4546-b88f-f96c2d781362"],
Cell[39947, 1179, 203, 5, 37, "Input",ExpressionUUID->"b8b4e486-8367-457f-ae96-915589824cc7"],
Cell[40153, 1186, 204, 5, 37, "Input",ExpressionUUID->"8f6f351a-6b15-4cd4-9f81-39e11820b720"],
Cell[40360, 1193, 203, 5, 61, "Input",ExpressionUUID->"dc033c84-756b-4100-b9c5-8f2556a52007"],
Cell[40566, 1200, 105, 1, 37, "Input",ExpressionUUID->"6c2ca441-cf95-4b70-a0a8-fb447351b2e3"],
Cell[40674, 1203, 159, 3, 61, "Input",ExpressionUUID->"2ce30a76-c64f-4ce8-a9b5-0ef298b1f1eb"],
Cell[40836, 1208, 143, 3, 61, "Input",ExpressionUUID->"2bb18422-284b-47ac-862e-63bef48d3484"],
Cell[40982, 1213, 86, 0, 37, "Input",ExpressionUUID->"9143c869-ab3d-4616-b138-712a0576227f"],
Cell[41071, 1215, 143, 3, 61, "Input",ExpressionUUID->"ca233d09-5ccc-4652-95cd-50448200e3c9"],
Cell[41217, 1220, 85, 0, 37, "Input",ExpressionUUID->"40e18697-f6c4-4aa4-ace7-663e798dbd8c"],
Cell[41305, 1222, 134, 2, 37, "Input",ExpressionUUID->"1cddf3a0-67af-43d8-9543-dadd2a6ad988"],
Cell[41442, 1226, 328, 9, 61, "Input",ExpressionUUID->"bfc33f4b-ff75-46f0-a325-ca1b9028f87c"],
Cell[41773, 1237, 125, 1, 37, "Input",ExpressionUUID->"ccff4dd2-c2ec-4789-8807-d301a3217191"],
Cell[41901, 1240, 359, 7, 61, "Input",ExpressionUUID->"fa9e9a0f-4dec-4001-a259-1d7d71267010"],
Cell[42263, 1249, 322, 8, 37, "Input",ExpressionUUID->"ae0f9ffa-9a62-420d-aba7-152e3f867b2a"],
Cell[42588, 1259, 128, 0, 37, "Input",ExpressionUUID->"7128fa8e-3541-46a3-a8de-5f83d039556d"],
Cell[42719, 1261, 216, 5, 61, "Input",ExpressionUUID->"eb7495f5-3b72-4485-8992-8ce3d76b6f13"]
}, Open  ]]
}, Open  ]]
}
]
*)

